Bug 131 - Rosa Launcher usability suggestion - launch that app!
: Rosa Launcher usability suggestion - launch that app!
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: Normal enhancement
: ---
Assigned To: Denis Koryavov
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-25 22:19 MSD by Nux
Modified: 2012-04-28 05:13 MSD (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nux 2012-04-25 22:19:40 MSD
Description of problem:

Hi,

The Rosa launcher can be very nifty tool. Here's one problem I have with it: sometimes I open it and search for an application, the Launcher auto completes the command which is very nice, but when I hit enter the Launcher just closes without starting the app ... Can we change this behaviour to the Windows 7 "Run" tool?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 Postnikov Dmitry 2012-04-25 22:44:15 MSD
If the Rosa-launcher in sproke type the word search, and search results will show a SINGLE application. Then just click enteritis and it is run.
Otherwise, you can use Krunner. Press Alt+F2 and start Krunner. For more information about him can be read here http://userbase.kde.org/Plasma/Krunner
Comment 2 Denis Koryavov 2012-04-25 22:46:21 MSD
Hmm. Can you provide a list of applications which you can't run from the SimpleWelcome? And what you mean when you're speaking about "behaviour to the Windows 7 "Run" tool"?
Comment 3 Postnikov Dmitry 2012-04-25 22:50:11 MSD
RU:
Имелось ввиду то, что если в SW в верху в строке поиска ввести например "konsole" и нажать клавишу Enter. То SW просто закрывается. Т.к. в выводимом списке присутствуе ДВЕ иконки приложения. Если набрать "kons", то в списке поиска будет ОДНА иконка приложения. И если нажать Enter - оно запуститься.
Comment 4 Nux 2012-04-25 22:56:42 MSD
(In reply to comment #2)
> Hmm. Can you provide a list of applications which you can't run from the
> SimpleWelcome? And what you mean when you're speaking about "behaviour to
> the Windows 7 "Run" tool"?

Denis,

Ok, let me give you a clear example:

1. Open SimpleWelcome, in the search box type "konsole". Press Enter. Nothing happens.

2. In Windows 7, in the Run/Search box of the Start menu type "cmd". Press Enter. Cmd is launched.

Can we have the SimpleWelcome launch the "konsole" when I press enter? Can you go this extra mile?

Let me know if it's not clear, I can explain again.
Comment 5 Denis Koryavov 2012-04-26 00:42:41 MSD
You're right - konsole doesn't start if you type "konsole" (thus, doesn't work item "Run konsole"), but will work if you type "kons" and press Enter. But I tested other applications on my system, and have found no problems. We'll look at the problem with the konsole. Thanks.
Comment 6 Nux 2012-04-26 02:15:27 MSD
Looking forward to it, thanks!
Comment 7 Aleksey Yermakov 2012-04-27 16:36:14 MSD
Fixed in rosa-launcher-0.34.12. Package is in repository, please update and test it.
Comment 8 Nux 2012-04-28 05:13:05 MSD
Indeed, I can confirm it works well now. Good job!